Ao personalizar temas do WordPress, notamos que os cabeçalhos predeterminados incluem a chamada de função wp_head().

Esta encontra-se ligada a outras ações, algumas das quais dependem do tema que se encontra configurado. Ocorre que nos temas mais populares, a biblioteca jQuery carregada automaticamente por wp_head() encontra-se defasada.

Para substituir a versão de jQuery carregada pelo WordPress, inclua as seguintes linhas ao fim do arquivo functions.php na raiz de seu tema:

if (!is_admin()){
  wp_deregister_script('jquery');
  wp_register_script('jquery', ("http://code.jquery.com/jquery-1.9.1.min.js"), false, '1.9.1');
  wp_enqueue_script('jquery');
}

A linha wp_register_script(‘jquery’, (“http://code.jquery.com/jquery-1.9.1.min.js”), false, ‘1.9.1’) pode ser personalizada para o URL à partir do qual deseja carregar a biblioteca.

Via MogMachine